
# setup for test installs

test -d out_products_2 || mkdir out_products_2

# dont remove CVS directories...
rm -rf out_ups_database/[a-zABD-Z]*
rm -rf out_products/[a-zABD-Z]*
rm -rf out_products_2/[a-zABD-Z]*

# test *here*
PRODUCTS=$UPD_DIR/test/out_ups_database 
UPD_USERCODE_DIR=$UPD_DIR/test
export PRODUCTS UPD_USERCODE_DIR

cp updconfig_1 updconfig

cd ${UPD_DIR}/test/product
rm -f hello.1 v0_0.table

#HOST="-h fnkits:8000"

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Adding table file only..."
upd addproduct $VERB $HOST -M tables -m hello.table -f NULL hello v0_0 
upd delproduct -f NULL hello v0_0 

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Adding without ups dir..."
upd addproduct $VERB $HOST -T ./hello.tar -M tables -m hello.table -f NULL hello v0_0 
upd delproduct -f NULL hello v0_0 

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Adding unchained -s..."
upd addproduct -s $VERB $HOST -T ./hello.tar -M tables -m hello.table -f NULL hello v0_0 -U ./helloups1
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Adding unchained ..."
upd addproduct $VERB $HOST -T ./hello.tar -M tables -m hello.table -f NULL hello v0_0 -U ./helloups1

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Replacing unchained -s..."
upd repproduct -s $VERB $HOST -T ./hello.tar -M tables -m hello.table -f NULL hello v0_0 -U ./helloups1
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Replacing unchained ..."
upd repproduct $VERB $HOST -T ./hello.tar -M tables -m hello.table -f NULL hello v0_0 -U ./helloups1

echo "- - - - - - - - - - - - - - - - - - - -"
echo "installing a copy locally, with extra declare as v0_1"
upd install $VERB -f NULL hello v0_0 -G "hello v0_1"

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Doing a long list -- check declarer, modifier, etc.."
upd list $HOST $VERB -f NULL hello v0_0 -l

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Uploading from declared as v0_1"
upd addproduct $HOST $VERB -f NULL hello v0_1

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Doing a long list of v0_1 -- check declarer, modifier, etc.."
upd list $HOST $VERB -f NULL hello v0_1 -l

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Chaining test -s..."
upd modproduct -s $HOST $VERB -t -f NULL hello v0_0
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Chaining test..."
upd modproduct $HOST $VERB -t -f NULL hello v0_0
upd list $HOST $VERB -f NULL hello v0_0 
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Unchaining..."
upd modproduct $HOST $VERB -g : -f NULL hello v0_0
upd list $HOST $VERB -f NULL hello v0_0 

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Listing with fetch -s..."
upd fetch -s $HOST $VERB -f NULL hello v0_0
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Listing with fetch..."
upd fetch $HOST $VERB -f NULL hello v0_0

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Getting manpage -s..."
upd fetch -s $HOST $VERB -f NULL hello v0_0 -J ups/toman/catman/hello.1
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Getting manpage..."
upd fetch $HOST $VERB -f NULL hello v0_0 -J ups/toman/catman/hello.1


file=`upd list $HOST $VERB -f NULL hello v0_0 -K "@table_file"`
file=`eval echo $file`
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Getting table file -s"
upd fetch -s $HOST $VERB -f NULL hello v0_0 -J $file
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Getting table file"
upd fetch $HOST $VERB -f NULL hello v0_0 -J $file
file=`echo $file | sed -e 's;.*/;;'`
diff $file tables/hello.table

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Changing table file -s"
upd modproduct -s $HOST $VERB -M tables -m hello.table.2 -f NULL hello v0_0
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Changing table file"
upd modproduct $HOST $VERB -M tables -m hello.table.2 -f NULL hello v0_0

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Getting table file again"

file=`upd list $HOST $VERB -f NULL hello v0_0 -K "@table_file"`
file=`eval echo $file`
upd fetch $HOST $VERB -f NULL hello v0_0 -J $file
file=`echo $file | sed -e 's;.*/;;'`
diff $file tables/hello.table.2

echo "- - - - - - - - - - - - - - - - - - - -"
echo "updating the local copy"
#upd update table_file:ups_dir $VERB -f NULL hello v0_0 -j
upd update table_file:ups_dir  -vvvv $VERB -f NULL hello v0_0 -j

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Changing ups dir -s"
upd modproduct -s $HOST $VERB -U ./helloups -f NULL hello v0_0
echo "- - - - - - - - - - - - - - - - - - - -"
echo "Changing ups dir"
upd modproduct $HOST $VERB -U ./helloups -f NULL hello v0_0

echo "- - - - - - - - - - - - - - - - - - - -"
echo "updating the local copy"
upd update table_file:ups_dir -vvvv $VERB -f NULL hello v0_0 -j

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Cloning product -s..."
upd cloneproduct -f NULL hello v0_0 -G "-f IRIX" -s

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Cloning product..."
upd cloneproduct -f NULL hello v0_0 -G "-f IRIX"

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Listing with fetch..."
upd fetch $HOST $VERB -f NULL hello v0_0

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Listing clone with fetch..."
upd fetch $HOST $VERB -f IRIX hello v0_0

echo "- - - - - - - - - - - - - - - - - - - -"
echo "Getting new ups file"

file=`upd list $HOST $VERB -f NULL hello v0_0 -K "@ups_dir"`
file=`eval echo $file`
upd fetch $HOST $VERB -f NULL hello v0_0 -J $file/testfile
diff testfile helloups/testfile

echo "- - - - - - - - - - - - - - - - - - - -"
echo "deleting products"
upd delproduct $HOST $VERB -f NULL hello v0_0
upd delproduct $HOST $VERB -f NULL hello v0_1
upd delproduct $HOST $VERB -f IRIX hello v0_0

rm -f hello.1 v0_0.table
